<?php

if (!defined("ABSPATH")) {
    exit();
}

function ppt_add_elementor_widget_categories( $elements_manager ) {

	$elements_manager->add_category(
		'ppt-category',
		[
			'title' => esc_html__( 'PPT', 'ppt' ),
			'icon' => 'fa fa-plug',
		]
	);
}
add_action( "elementor/elements/categories_registered", "ppt_add_elementor_widget_categories" );

function register_ppt_tab_widget($widgets_manager)
{
    require_once __DIR__ . "/widgets/ppt-tab-widget.php";
    
    $widgets_manager->register(new \PPT_Elementor_Tab_Widget());

    require_once __DIR__ . "/widgets/ppt-tab-v2-widget.php";
    
    $widgets_manager->register(new \PPT_Elementor_Tab_V2_Widget());


}
add_action( "elementor/widgets/register", "register_ppt_tab_widget" );

function load_ppt_widget_scripts() {
    wp_enqueue_style( 'ppt-tab-widget-style', plugin_dir_url( __FILE__ ) . '/assets/css/ppt-elementor-tab-widget.css' );
    wp_enqueue_script( 'ppt-tab-widget-script', plugin_dir_url( __FILE__ ) . '/assets/js/ppt-elementor-tab-widget.js',  array('jquery'), null , true);
    wp_enqueue_style( 'ppt-v2-tab-widget-style', plugin_dir_url( __FILE__ ) . '/assets/css/ppt-elementor-tab-v2-widget.css' );
    wp_enqueue_script( 'ppt-v2-tab-widget-script', plugin_dir_url( __FILE__ ) . '/assets/js/ppt-elementor-tab-v2-widget.js',  array('jquery'), null , true);
}

add_action( 'elementor/frontend/after_enqueue_styles', 'load_ppt_widget_scripts' );


